#!/bin/bash

TMPFILE="/tmp/named.ca"
DSTFILE="/var/named/chroot/var/named/named.ca"
if [ ! -f "$DSTFILE" ];then
    exit -1
fi
/bin/rm -f "$TMPFILE"
/usr/bin/wget --quiet http://www.internic.net/domain/named.root -O "$TMPFILE"
if [ ! -f "$TMPFILE" -o ! -s "$TMPFILE" ];then
    exit -2
fi
FILEDATE=$(date -R -r $TMPFILE)
/bin/echo >> "$TMPFILE"
FT=`/usr/bin/sha1sum $TMPFILE|/bin/sed 's/ .*//g'`
FD=`/usr/bin/sha1sum $DSTFILE|/bin/sed 's/ .*//g'`

if [ "$FT" != "$FD" ];then
    /bin/cat "$TMPFILE" > "$DSTFILE"
    /bin/touch -d "$FILEDATE" "$DSTFILE"
    /sbin/service named restart >/dev/null 2>&1
fi
/bin/rm -f "$TMPFILE"
exit 0
